#TechnicalProcess Database
##########################################
db.define_table('t_technicalProcessData',
      Field('f_applicationbusytime_planned', type='float',
            label=T('Planned application busy time')),
      Field('f_applicationbusytime_actual', type='float',
            label=T('Actual application busy time')),
      Field('f_applicationdowntime_actual', type='float',
            label=T('Application downtime'), comment="h/d"),
      Field('f_applicationdowntime_planned', type='float',
            label=T('Planned application downtime'), comment="h/d"),
      Field('f_applicationdowntime_planned_blisk', type='float',
            label=T('Application Downtime - Planned per BLISK'), comment=" h"),
      Field('f_applicationdowntime_unplanned', type='float',
            label=T('Unplanned application downtime')),
      Field('f_applicationmaintenance_time', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
            label=T('Application Maintenance - Time per Operation'), comment=" h"),
      Field('f_applicationmaintenance_number', type='float',
            label=T('Application Maintenance - Operations'), comment=" n°"),
      Field('f_applicationmaintenance_total', type='float',
            label=T('Application Maintenance - Total Time')),
      Field('f_applicationoperationtime_planned', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)), #Check if input is non-negative
            label=T('Application Operation Time - Planned'), comment=" h"),
      Field('f_applicationproductiontime_actual', type='float',
            label=T('Application Production Time - Actual')),
      Field('f_applicationproductiontime_planned', type='float',
            label=T('Application Production Time - Planned')),
      Field('f_applicationsetup_number', type='integer',requires=IS_EMPTY_OR(IS_INT_IN_RANGE(0,None)),
            label=T('Application Setup - Number per Day'), comment=" n°"),
      Field('f_applicationsetup_time', type='float',requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
            label=T('Application Setup - Time per Setup'), comment=" h"),
      Field('f_applicationsetup_timeday', type='float',
            label=T('Application Setup - Time per Day'), comment=" h"),
      Field('f_batchsize', type='integer',requires=IS_EMPTY_OR(IS_INT_IN_RANGE(0,None)),
            label=T('Batch Size'), comment=" n°"),
      Field('f_personnelattendancetime_planned', type='float',
          label=T('Human Operation - Personnel Attendance Time - Planned')),
      Field('f_personnelbreaktime_planned', type='float',requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
          label=T('Human Operation - Personnel Break Time per Shift - Planned'), comment=" h"),
      Field('f_personnelworktimepershift_planned', type='float',requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
          label=T('Human Operation - Personnel Work Time per Shift - Planned'), comment=" h"),
      Field('f_personnelworktime_actual', type='float',
          label=T('Human Operation - Personnel Work Time per Day - Actual')),
      Field('f_shiftsperday', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
          label=T('Human Operation - Shifts per Day'), comment=" n°"),
      Field('f_productiondaysperyear', type='integer', requires=IS_EMPTY_OR(IS_INT_IN_RANGE(0,356)),
          label=T('Production - Days per Year'), comment=" n°"),
      Field('f_runsperday_planned', type='float',
          label=T('Production - Runs per Day - Planned')),
      Field('f_runtimeperpart_planned', type='float',
          label=T('Production - Runtime per Part - Planned'), comment=" h"),
      Field('f_runtimeperpart_additional', type='float',
          label=T('Production - Runtime per Part - Additional through Process Control'), comment=" h"),
      Field('f_runtimeperpart', type='float',
            label=T('Runtime per part'), comment=" h"),
      Field('f_worktime_product', type='float',
            label=T('Production - Work Time per Product'), comment=" h"),
      Field('f_totalworktime', type='float',
            label=T('Production - Total Product Work Time '), comment=" h"),
      migrate=settings.migrate)

############################################

#EconomicProcess Database
##########################################
db.define_table('t_economicProcessData',
    Field('f_costofapplicationdowntime_planned', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
          label=T('Cost of application downtime - Planned'), comment = "€/h"),
    Field('f_costofapplicationdowntime_unplanned', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
          label=T('Cost of application downtime'), comment = "€/h"),
    Field('f_wagesetup', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
          label=T('Hourly Wage of setup Staff'), comment = "€/h"),
    Field('f_wageoperator', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
          label=T('Hourly Wage of operator Staff'), comment = "€/h"),
    Field('f_operator_number', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
          label=T('Human Operation - Operator per Shift'), comment = " n°"),
    Field('f_opexdowntime', type='float',
          label=T('Opexdowntime')),
    Field('f_opexpersonnelsetup', type='float',
          label=T('Opexpersonnelsetup')),
    Field('f_opexoperation', type='float',
          label=T('Opexoperation')),
    Field('f_capexapplication', type='float',
          label=T('Capexprocess')),
    Field('f_capexnetwork', type='float',
          label=T('Capex Network')),
    Field('f_opexprocess', type='float',
          label=T('Opexprocess')),
    migrate=settings.migrate)

############################################

#################

################
